net.minecraft.village

## Class MerchantRecipe

- java.lang.Object
- - net.minecraft.village.MerchantRecipe

-     public class MerchantRecipe
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MerchantRecipe(ItemStack par1ItemStack, Item par2Item)`
    `MerchantRecipe(ItemStack par1ItemStack, ItemStack par2ItemStack)`
    `MerchantRecipe(ItemStack par1ItemStack, ItemStack par2ItemStack, ItemStack par3ItemStack)`
    `MerchantRecipe(NBTTagCompound par1NBTTagCompound)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_82783_a(int par1)`
    `void` | `func_82785_h()`
    `ItemStack` | `getItemToBuy()`
    `ItemStack` | `getItemToSell()`
    `ItemStack` | `getSecondItemToBuy()`
    `boolean` | `hasSameIDsAs(MerchantRecipe par1MerchantRecipe)`
    `boolean` | `hasSameItemsAs(MerchantRecipe par1MerchantRecipe)`
    `boolean` | `hasSecondItemToBuy()`
    `void` | `incrementToolUses()`
    `boolean` | `isRecipeDisabled()`
    `void` | `readFromTags(NBTTagCompound par1NBTTagCompound)`
    `NBTTagCompound` | `writeToTags()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MerchantRecipe

          public MerchantRecipe(NBTTagCompound par1NBTTagCompound)

    - #### MerchantRecipe

          public MerchantRecipe(ItemStack par1ItemStack,
                        ItemStack par2ItemStack,
                        ItemStack par3ItemStack)

    - #### MerchantRecipe

          public MerchantRecipe(ItemStack par1ItemStack,
                        ItemStack par2ItemStack)

    - #### MerchantRecipe

          public MerchantRecipe(ItemStack par1ItemStack,
                        Item par2Item)

  - ### Method Detail

    - #### getItemToBuy

          public ItemStack getItemToBuy()

    - #### getSecondItemToBuy

          public ItemStack getSecondItemToBuy()

    - #### hasSecondItemToBuy

          public boolean hasSecondItemToBuy()

    - #### getItemToSell

          public ItemStack getItemToSell()

    - #### hasSameIDsAs

          public boolean hasSameIDsAs(MerchantRecipe par1MerchantRecipe)

    - #### hasSameItemsAs

          public boolean hasSameItemsAs(MerchantRecipe par1MerchantRecipe)

    - #### incrementToolUses

          public void incrementToolUses()

    - #### func_82783_a

          public void func_82783_a(int par1)

    - #### isRecipeDisabled

          public boolean isRecipeDisabled()

    - #### func_82785_h

          public void func_82785_h()

    - #### readFromTags

          public void readFromTags(NBTTagCompound par1NBTTagCompound)

    - #### writeToTags

          public NBTTagCompound writeToTags()